camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christoph Emmersberger <>
Subject Re: Camel twitter component - twitter now requires https
Date Wed, 15 Jan 2014 18:34:50 GMT
Hi Michael,

I hope my comment inline helps answering your questions.



On 15 Jan 2014, at 19:16, MichaelAtSAG <> wrote:

> Our application uses the 2.12.1 Camel twitter component. As of yesterday,
> this component is reporting this exception:
> "403 Forbidden: The server understood the request, but is refusing to
> fulfill it." 
> After doing some research, I found that the twitter api has changed to
> require https connection as of January 15, 2014, as found here:
> 1. How do I request that this component be updated to http?

If you want to request an enhancement or a bugfix, please feel free to file a JIRA. However,
I’d recommend doing some search before you start filing the issue, because there might be
already an issue or even a fix.

Now you can either wait for the next, upcoming release, or checkout the fixed camel-twitter
component and back port it to the version you are currently using until the release shows

> 2. I checked maven for a newer version and found 2.12.2, yet this version
> has 0 byte count. Is this normal?

I do not think that the mvnrepository shows the correct content. I checked maven central and
you can see that the twitter component definitely contains more than 0 bytes

> --
> View this message in context:
> Sent from the Camel - Users mailing list archive at

View raw message